[Dart-dev] [3572] DART/trunk/models/MITgcm_ocean/shell_scripts/advance_model.csh: advance_model.csh was (incorrectly) getting the data.cal

nancy at ucar.edu nancy at ucar.edu
Thu Aug 21 11:56:12 MDT 2008


An HTML attachment was scrubbed...
URL: http://mailman.ucar.edu/pipermail/dart-dev/attachments/20080821/a3e5470b/attachment.html
-------------- next part --------------
Modified: DART/trunk/models/MITgcm_ocean/shell_scripts/advance_model.csh
===================================================================
--- DART/trunk/models/MITgcm_ocean/shell_scripts/advance_model.csh	2008-08-20 16:18:26 UTC (rev 3571)
+++ DART/trunk/models/MITgcm_ocean/shell_scripts/advance_model.csh	2008-08-21 17:56:11 UTC (rev 3572)
@@ -1,4 +1,4 @@
-#!/bin/tcsh -v
+#!/bin/tcsh
 #
 # Data Assimilation Research Testbed -- DART
 # Copyright 2004-2007, Data Assimilation Research Section
@@ -38,12 +38,18 @@
 mkdir -p $temp_dir
 cd       $temp_dir
 
-# Copy the namelist files - these are small, so we really copy them
-foreach FILE ( data data.cal data.exf data.kpp \
-               data.obcs data.pkg eedata )
+# Copy the unchanging namelist files - these are small, so we really copy them
+foreach FILE ( data.exf data.kpp data.obcs data.pkg eedata )
    cp -pv ../inputs/$FILE . || exit 1
 end
 
+# Get the 'changing' namelist files from CENTRALDIR
+# Only the namelists in CENTRALDIR have the updated information about
+# the state of the model partway through an assimilation experiment.
+foreach FILE ( data data.cal input.nml )
+   cp -pv ../$FILE . || exit 1
+end
+
 # copy the files used by data&PARM05 - input datasets
 # These get overwritten ... so maybe we dont actually copy them
 #foreach FILE ( bathymetry.bin gom_H_199601.bin gom_S_199601.bin \
@@ -76,8 +82,6 @@
 end
 
 
-# Get files needed to run DART
-cp ../input.nml .
 
 echo 'listing now that the table has been set ...'
 ls -l
@@ -108,6 +112,8 @@
 
    ../trans_sv_pv
 
+   cp -v data.cal.new data.cal
+
    # Update the MIT namelist output ... 
    # and rename the input files to those defined in the data&PARM05 namelist.
    # This is pretty gory, but it works.
@@ -163,6 +169,8 @@
    # Must determine if we are running in a queueing environment or not
    # so we know the form of the advance command.
 
+   env | sort
+
    if ($?LS_SUBCWD) then
 
       mpirun.lsf ../mitgcmuv
@@ -178,16 +186,15 @@
       # At some point in the future, the MPIRUN variable should not be hardwired
       # to an architecture-specific value.
 
-      if ( -e nodelist ) then
-         setenv NUM_PROCS `cat nodelist | wc -l`
-         set MYNODEFILE = nodelist
+      if ( -e ../nodelist ) then
+         setenv NUM_PROCS `cat ../nodelist | wc -l`
          set MPIRUN = /opt/mpich/myrinet/pgi/bin/mpirun
 
-         $MPIRUN -np $NUM_PROCS -nolocal -machinefile $MYNODEFILE ../mitgcmuv
+         $MPIRUN -np $NUM_PROCS -nolocal -machinefile ../nodelist ../mitgcmuv
 
       else
-         echo "ERROR - there is no $MYNODEFILE for this execution."
-         echo "ERROR - there is no $MYNODEFILE for this execution."
+         echo "ERROR - there is no CENTRALDIR/nodelist for this execution."
+         echo "ERROR - there is no CENTRALDIR/nodelist for this execution."
          echo "        The current working directory is: "`pwd`
          echo "        The contents of the directory are: "
          ls -l
@@ -217,7 +224,14 @@
    @ output_file_line = $output_file_line + 3
 end
 
-mv data.cal.new ../data.cal
+echo "old data.cal is"
+cat ../data.cal
+echo ""
+echo "new data.cal is"
+cat data.cal.new
+echo ""
+ 
+cp -pv data.cal.new ../data.cal
 
 # Change back to original directory and get rid of temporary directory
 cd ..


More information about the Dart-dev mailing list